
USE AdventureWorks2008R2
GO

CREATE SPATIAL INDEX Index_geography_auto_Address
   ON Person.Address(SpatialLocation)
   USING GEOGRAPHY_AUTO_GRID
   WITH (
    CELLS_PER_OBJECT = 64,
    PAD_INDEX  = ON );

DECLARE @g geography = 'POINT(-121.626 47.8315)';
SELECT TOP(7) SpatialLocation.ToString(), City 
FROM Person.Address
WHERE SpatialLocation.STDistance(@g) IS NOT NULL
ORDER BY SpatialLocation.STDistance(@g)

-- cannot use spatial index (needs where clause)
USE AdventureWorks2008R2
GO

DECLARE @g geography = 'POINT(-121.626 47.8315)';
SELECT TOP(7) SpatialLocation.ToString(), City FROM Person.Address
ORDER BY SpatialLocation.STDistance(@g);

